function [signals]=QAM(m)
% [signals]=QAM(m)
%		QAM  determines the normalized points of square (M=m^2)-QAM constellation
  index=-(m-1):2:(m-1);
  for i=1:length(index)
    for j=1:length(index)
      signals(m*(i-1)+j,1)=index(i);
      signals(m*(i-1)+j,2)=index(j);
    end
  end
  sigsize=size(signals,1);
  avenergy=sum(sum(signals.^2))/sigsize;
  signals=signals/(avenergy)^0.5;
